Sync live-f1 0.2.9-1 (universe) from Debian unstable (main)

Bug #580936 reported by Artur Rona on 2010-05-15
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
live-f1 (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync live-f1 0.2.9-1 (universe) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
All changes have been incorporated in the Debian package.

Changelog entries since current maverick version 0.2.8-3ubuntu1:

live-f1 (0.2.9-1) unstable; urgency=low

  * New upstream release (also includes the patch in -4 below)
  * Fix watchfile to point at launchpad project

 -- Matthew Johnson <email address hidden> Sun, 21 Mar 2010 01:31:55 +0000

live-f1 (0.2.8-4) unstable; urgency=low

  * Add patch to use the new login/registration paths (Closes: #573733)

 -- Matthew Johnson <email address hidden> Sat, 20 Mar 2010 11:05:38 +0000

Dave Pusey (davepusey) wrote :

Please sync to 0.2.10 instead.

The sector time columns in 0.2.9 are broken during a race session.

Artur Rona (ari-tczew) wrote :

0.2.10 is not available in Debian repositories. We can sync current version, then new upstream will be synced automatically from Debian. :-)

Dave Pusey (davepusey) wrote :

So, as the project maintainer, how do i get the latest version into debian?

Benjamin Drung (bdrung) wrote :

You can either file a bug report in Debian against the package or contact the maintainer directly: http://packages.qa.debian.org/l/live-f1.html

Changed in live-f1 (Ubuntu):
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package live-f1 - 0.2.9-1

---------------
live-f1 (0.2.9-1) unstable; urgency=low

  * New upstream release (also includes the patch in -4 below)
  * Fix watchfile to point at launchpad project

live-f1 (0.2.8-4) unstable; urgency=low

  * Add patch to use the new login/registration paths (Closes: #573733)
 -- Artur Rona <email address hidden> Sun, 21 Mar 2010 01:31:55 +0000

Changed in live-f1 (Ubuntu):
status: New → Fix Released
Dave Pusey (davepusey) wrote :

0.2.10 is now in debian unstable.

Artur Rona (ari-tczew) wrote :

And now is in maverick since 17 May 2010 13:00:19 +0100 :)

Dave Pusey (davepusey) wrote :

Thanks.

How long before it makes it into karmic and lucid?

Benjamin Drung (bdrung) wrote :

It won't make it into karmic or lucid. You have to backport bug fixes following the SRU process [1] instead.

[1] https://wiki.ubuntu.com/StableReleaseUpdates

Artur Rona (ari-tczew) wrote :

Dave,

if you want to get bug-fixes into karmic and lucid, please search and investigate for upstream patches. Then I could prepare a SRU.

Dave Pusey (davepusey) wrote :

Maverick is not showing up at http://packages.ubuntu.com/live-f1

Also, in response to Artur (comment 10) i don't understand.

Artur Rona (ari-tczew) wrote :

Packages.ubuntu.com doesn't support maverick release. This is a bug. You can check package source in https://launchpad.net/ubuntu/+source/live-f1

Dave Pusey (davepusey) wrote :

Ok thanks.

I've notice that Karmic has 0.2.8-1 which is effectively unusable because it doesn't have the login url patch.

Can it, at the very least, be updated to the same version that is in lucid, which is the same as karmic, but also has the patch.

Dave Pusey (davepusey) wrote :

Either that or just remove the Karmic package completely.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers